OXRQ(1)

NAME
oxrq - A command-line tool for running SPARQL queries over input stream or files of RDF data.

SYNOPSIS
oxrq [OPTIONS] [QUERY] [FILE]...

DESCRIPTION
A command-line tool for running SPARQL queries over input stream or files of RDF data.

  Arguments:

[QUERY]
    Query string (unless '--file-query' is used)

[FILE]...
    RDF file(s)

OPTIONS

-i, --input-format <INPUT_FORMAT>
    Input RDF format (ttl, rdf, nt, nq)

-o, --output-format <OUTPUT_FORMAT>
    Output RDF format (ttl, rdf, nt, nq) or SPARQL results format (tsv, csv, json, xml)

-b, --base-iri <BASE_IRI>
    Base IRI used when parsing

-f, --file-query
    Provide query via file (with '.rq' or '.ru' suffix)

-n, --no-stdin
    Do not read from stdin (unless '-' is given as file)

-h, --help
    Print help

-V, --version
    Print version